Bug 1302826 - [abrt] evince: g_type_check_instance_cast(): evince killed by SIGSEGV
[abrt] evince: g_type_check_instance_cast(): evince killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f3af724e9feed1bf06a3c15619a...
:
: 1393903 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 12:44 EST by Vít Ondruch
Modified: 2017-08-08 08:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:42:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.75 KB, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details
File: cgroup (244 bytes, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details
File: core_backtrace (2.61 KB, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details
File: dso_list (11.70 KB, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details
File: environ (2.54 KB, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details
File: exploitable (95 bytes, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details
File: maps (56.46 KB, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details
File: mountinfo (4.11 KB, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details
File: open_fds (1.42 KB, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details
File: var_log_messages (294 bytes, text/plain)
2016-01-28 12:44 EST, Vít Ondruch
no flags Details

  None (edit)
Description Vít Ondruch 2016-01-28 12:44:04 EST
Version-Release number of selected component:
evince-3.18.2-3.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        evince /tmp/mozilla_vondruch0/ultimate-chart-outline.pdf
crash_function: g_type_check_instance_cast
executable:     /usr/bin/evince
global_pid:     3962
kernel:         4.4.0-1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            16025

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 g_type_check_instance_cast at gtype.c:4065
 #1 ev_window_fullscreen_hide_toolbar at ev-window.c:4046
 #2 fullscreen_toolbar_timeout_cb at ev-window.c:4052
 #7 g_main_context_iteration at gmain.c:3901
 #8 g_application_run at gapplication.c:2363
Comment 1 Vít Ondruch 2016-01-28 12:44:09 EST
Created attachment 1119214 [details]
File: backtrace
Comment 2 Vít Ondruch 2016-01-28 12:44:11 EST
Created attachment 1119215 [details]
File: cgroup
Comment 3 Vít Ondruch 2016-01-28 12:44:12 EST
Created attachment 1119216 [details]
File: core_backtrace
Comment 4 Vít Ondruch 2016-01-28 12:44:13 EST
Created attachment 1119217 [details]
File: dso_list
Comment 5 Vít Ondruch 2016-01-28 12:44:15 EST
Created attachment 1119218 [details]
File: environ
Comment 6 Vít Ondruch 2016-01-28 12:44:16 EST
Created attachment 1119219 [details]
File: exploitable
Comment 7 Vít Ondruch 2016-01-28 12:44:18 EST
Created attachment 1119220 [details]
File: limits
Comment 8 Vít Ondruch 2016-01-28 12:44:20 EST
Created attachment 1119221 [details]
File: maps
Comment 9 Vít Ondruch 2016-01-28 12:44:21 EST
Created attachment 1119222 [details]
File: mountinfo
Comment 10 Vít Ondruch 2016-01-28 12:44:23 EST
Created attachment 1119223 [details]
File: open_fds
Comment 11 Vít Ondruch 2016-01-28 12:44:24 EST
Created attachment 1119224 [details]
File: proc_pid_status
Comment 12 Vít Ondruch 2016-01-28 12:44:25 EST
Created attachment 1119225 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 09:21:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Fedora Admin XMLRPC Client 2016-10-14 04:10:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 David Tardon 2016-10-30 11:19:17 EDT
This looks like the timeout for hiding the fullscreen toolbar kicked when the window has already gone. But that shouldn't be possible, as both "un-fullscreen" and "dispose" remove the timeout...
Comment 16 Alexander Dutton 2016-11-10 10:12:37 EST
*** Bug 1393903 has been marked as a duplicate of this bug. ***
Comment 17 Fedora End Of Life 2017-07-25 15:51:34 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2017-08-08 08:42:52 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.